Issue Description

When deploying the SharePoint User SmartObject via the Microsoft Management Console, an error occurs post deployment.

Error Message

The error message states "Unable to register dependencies for SmartObject, SMO_SPUser".

Resolution

  1. Ensure you have K2 4.7 installed.
  2. Download and install the K2 4.7 August 2017 Cumulative Update from K2 Partner and Customer Portal.
  3. Get the K2 4.7 August 2017 Cumulative Update FP7 from Regional Support.
  4. Install the K2 4.7 August 2017 Cumulative Update FP7 to apply the fix.
  5. Re-deploy the package.